Subject: [mpls] [Errata Rejected] RFC5586 (4364)

From: RFC Errata System <[email-masked]>
Date: Mon, 18 May 2015 14:19:18 -0700 (PDT)

The following errata report has been rejected for RFC5586,
"MPLS Generic Associated Channel".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5586&eid=4364

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Alexander ("Sasha") Vainshtein <[email-masked]>
Date Reported: 2015-05-12
Rejected by: Deborah Brungard (IESG)

Section: 4.2.1

Original Text
-------------
   The Time-To-Live (TTL) field of the LSE that contains the GAL follows
   the definition and processing rules specified in [RFC3443].

Corrected Text
--------------
The value of the  Time-To-Live (TTL) field of the LSE that contains the 
GAL follows is irrelevant as long as it exceeds 1. (Setting this value 
to 0 or 1 SHOULD be avoided because it could result in trapping the OAM 
packets in with wrong reason: "TTL expiration" instead of "GAL  
encountered").  

Notes
-----
The processing rules specific in RFC 3443 deal with handling TTL in the LSE of a labeled packets that are forwarded based on this LSE, or with setting the TTL value by a LER pushing a label stack on an unlabeled packet.
As per the last para in Section 4.2, LSRs and LERs MUST NOT forward packets based on the LSE that contains GAL, hence these rules are mainly not applicable.
 --VERIFIER NOTES-- 
This proposes a change to the RFC which needs to be agreed via working group consensus.   

--------------------------------------
RFC5586 (draft-ietf-mpls-tp-gach-gal-06)
--------------------------------------
Title               : MPLS Generic Associated Channel
Publication Date    : June 2009
Author(s)           : M. Bocci, Ed., M. Vigoureux, Ed., S. Bryant, Ed.
Category            : PROPOSED STANDARD
Source              : Multiprotocol Label Switching
Area                : Routing
Stream              : IETF
Verifying Party     : IESG